[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [Priority Support]

Building Whonix from source code is safe again (APT vulnerability DSA 4371-1)


#1

This news is primarily to inform developers and everyone who builds Whonix from source code. If that doesn’t mean anything to you, this news can be safely ignored.


  • Building Non-Qubes-Whonix from source code is safe again as per git tag 14.0.1.3.2-developers-only.
  • Qubes-Whonix fixed this independently.

This is only about builds of Whonix. Resulting images are untested at the time of writing. Users should wait for testers-only or stable release.

Context:
[FIXED] Building Whonix from source code is NOT safe at the moment due to APT vulnerability DSA 4371-1

Changes:
https://github.com/Whonix/Whonix/compare/14.0.1.0.9-developers-only...14.0.1.3.5-developers-only

14.0.1.3.5-developers-only

The tag is suffixed -developers-only for a reason.

Development discussion:
Apt RCE announced. New Whonix images needed. Whonix build NOT safe at the moment.


New downloadable Whonix images will be produced soon.


[FIXED] Building Whonix from source code is NOT safe at the moment due to APT vulnerability DSA 4371-1
[FIXED] Apt RCE announced. New Whonix images needed. Whonix build NOT safe at the moment.
#2

git tag:

14.0.1.3.8-testers-only